#!/usr/bin/gnuplot

M_S = 1.989e30
M_E = 5.972e24

set term x11

set xl "a [au]"
set yl "e []"

p "<tail -n 5 ../out/*.txt | awk '(FNR==1){ i=0; }($1==5){ print; i++; }($1==2) && (i==0){ print; }' | sort -g -r -k 9" u 3:4:(log10($9*M_S/M_E/0.05*1.0)) not w p pt 7 ps 1.0 lc palette z

pa -1


