#!/usr/bin/env python

import random
import subprocess

mass = [ 1.66e-7, 2.45e-6, 1.50e-6, 1.50e-6, 3.23e-7 ]
a = [ 0.387, 0.723, 1.000, 1.250, 1.523 ]
e = [ 0.206, 0.020, 0.020, 0.020, 0.010 ]

random.seed(-1)

n = 140
for i in xrange(0,n+1):
    a_E = 1.350
    a_M = 1.350 - 0.070 + 0.140/n*i
    e_M = 0.010
    print "a_M = ", a_M, " au"

    f = open("embryos.cfg", "w")

    for j in xrange(0,5):
        if j == 4:
            a_ = a_M
            e_ = e_M
        elif j == 3:
            a_ = a_E
            e_ = e[j]
        else:
            a_ = a[j]
            e_ = e[j]
        inc = 1.0e-3*random.random()
        peri = 360.0*random.random()
        node = 360.0*random.random()
        f_ = 360.0*random.random()

        f.write("Embryo%d   %.6e 0.000000 %.6e   %.6e %.6e %.6e %.6e %.6e %.6e\n" % (j+1, mass[j], mass[j], a_, e_, inc, peri, node, f_))

    f.close()

    subprocess.check_output("./rebound", shell=True)
    s = "%6.4f" % (a_M)
    subprocess.check_output("mv output.txt out/output_%s.txt" % (s), shell=True)
    subprocess.check_output("mv final.bin out/final_%s.bin" % (s), shell=True)
    subprocess.check_output("mv embryos.cfg out/embryos_%s.cfg" % (s), shell=True)

#    sys.exit(1)


